<?php

namespace Core\App\Repository\Marketplace;

interface OrderInterface
{
    public function setRemoteCustomers($remoteCustomers);

    public function setRemoteProducts($remoteProducts);

    public function getAll();

    public function getOrder($orderFactory, $order);
    
    public function getOrderProducts($orderItemFactory, $order);

    public function getOrderTaxes($orderItemFactory, $order);

    public function getCodF($billing_address_company);

    public function isValidOrder($order);

    public function setOrderedDaysAgo($orderedDaysAgo);

    public function getByOrderId($orderId);

    public function setWithDiscount($withDiscount);

    public function setLocalProducts($localProducts);
    
}