<?php

namespace Core\App\Repository\Marketplace;

interface SettingsInterface
{
    public function getAuthApiKey();
    public function getAuthUsername();
    public function getAuthPassword();
    public function getAuthFiscalCode();

    public function getOptionAutoStockSync();
    public function getOptionAutoOrderSync();
    public function getOptionStockFilter();
    public function getOptionOrderOrProforma();
    public function getOptionProformaSerie();
    public function getOptionAvizeSerie();
    public function getOptionExpfacturaSerie();
    public function getOptionOrderedDaysAgo();
    public function getOptionLocations();

    public function getCustomFieldBank();
    public function getCustomFieldAccount();
    public function getCustomFieldCompany();
    public function getCustomFieldFiscalCode();
    public function getCustomFieldRegNumber();

    public function getSyncDataTypes();
    public function getSyncOptions();
    public function getSyncAuth();

    public function getVersionLink();
    public function getVersion();

    public function getSyncOrdersAs();
    public function getAutoSyncOptions();
//    public function getDocUpdOptions();
//    public function getShowObsOptions();
}
