<form id="stock_option_form" method="POST">

    <header>
        <h2><?php echo $tab_name_3_2;?></h2>
    </header>
    
    <div>
        <label class="desc" id="option_filterstock_legend" for="option_filterstock">
            <?php echo $filter_stock;?>
        </label>
        <div>
        <select id="fsync_option_filterstock" name="fsync_option_filterstock" class="field select medium"> 
        <option value=""><?php echo $loading_data_please_wait; ?></option>
        </select>
        <input type="hidden" id="fsync_option_filterstock_hidden" value="<?php echo $option['fsync_option_filterstock'];?>" />
        <input type="hidden" id="fsync_shop_hidden" value="<?php echo (isset($_REQUEST['shop']) ? $_REQUEST['shop'] : '');?>" />
        </div>
    </div>
        
    <div>
        <fieldset>
        
        <legend id="auto_stock_sync_legend" class="desc">
            <?php echo $auto_stock_sync; ?>
        </legend>
        
        <div>
            <?php foreach($autoSyncOptions as $autoSyncOptionsElement): ?>
                <div>
                    <input id="fsync_option_autosyncstock<?php echo $autoSyncOptionsElement['id']; ?>" name="fsync_option_autosyncstock" type="radio" value="<?php echo $autoSyncOptionsElement['id']; ?>" 
                    <?php if($autoSyncOptionsElement['id'] == $option['fsync_option_autosyncstock']): ?>
                        checked="checked"
                    <?php endif; ?>
                    >
                    <label class="choice" for="fsync_option_autosyncstock<?php echo $autoSyncOptionsElement['id'];?>"><?php echo $autoSyncOptionsElement['label']; ?></label>
                </div>
            <?php endforeach; ?>
        </div>
        </fieldset>
    </div>

    <div>
        <fieldset>
        
        <legend id="location_legend" class="desc">
            <?php echo $locations; ?>
        </legend>
        
        <div>
            <?php foreach($shopLocations as $shopLocation): ?>
                <div>
                    <input id="fsync_option_location<?php echo $shopLocation['id']; ?>" name="fsync_option_locations[]" type="checkbox" value="<?php echo $shopLocation['id']; ?>" 
                    <?php if(
                        (is_array($option['fsync_option_locations']) && 
                        in_array($shopLocation['id'], $option['fsync_option_locations'])) ||
                        is_null($option['fsync_option_locations'])): ?>
                        checked="checked"
                    <?php endif; ?>
                    >
                    <label class="choice" for="fsync_option_location<?php echo $shopLocation['id'];?>"><?php echo $shopLocation['name']; ?></label>
                </div>
            <?php endforeach; ?>
        </div>
        </fieldset>
    </div>
    
    <div class="center">
        <input type="hidden" name="action" value="save" />
    </div>

    <div class="center">
        <a href="javascript: void(0)" onclick="submitStockOptionForm();" class="btn btn-green" id="save-so-btn"><?php echo $save_btn;?></a>
    </div>
    
</form>

<!--<script>-->
<!--    if($("#fsync_option_autosyncstockactiv").is(':checked')) {-->
<!--        $('#fsync_option_link').show();-->
<!--    } else {-->
<!--        $('#fsync_option_link').hide();-->
<!--    }-->
<!---->
<!--    $("#fsync_option_autosyncstockactiv").change(function() {-->
<!--        if(this.checked) {-->
<!--            $('#fsync_option_link').show();-->
<!--        } else {-->
<!--            $('#fsync_option_link').hide();-->
<!--        }-->
<!--    });-->
<!---->
<!--    $("#fsync_option_autosyncstockinactiv").change(function() {-->
<!--        if(this.checked) {-->
<!--            $('#fsync_option_link').hide();-->
<!--        } else {-->
<!--            $('#fsync_option_link').show();-->
<!--        }-->
<!--    });-->
<!--</script>-->