<?php

namespace Core\App\Entity;

class Settings
{
    public $auth_api_key;
    public $auth_username;
    public $auth_password;
    public $auth_fiscal_code;

    public $option_auto_stock_sync;
    public $option_auto_order_sync;
    public $option_doc_upd;
    public $option_pdls;
    public $option_show_obs;
    public $option_stock_filter;
    public $option_order_or_proforma;
    public $option_proforma_serie;
    public $option_avize_serie;
    public $option_expfactura_serie;
    public $option_ordered_days_ago;
    public $option_locations;

    public $custom_field_bank;
    public $custom_field_account;
    public $custom_field_company;
    public $custom_field_fiscal_code;
    public $custom_field_reg_number;

    public $auto_sync_options;
    public $sync_data_types;
    public $order_or_proforma_options;
    public $sync_stock_filter_options;

    public $option_add_proforma;
    public $option_add_avize;
    public $option_add_expfactura;
    public $option_add_invoice;
    public $option_view_proforma;
    public $option_view_avize;
    public $option_view_expfactura;
    public $option_view_invoice;
    public $option_edit_proforma;
    public $option_edit_avize;
    public $option_edit_expfactura;
    public $option_edit_invoice;

	public $option_with_discount;

    public $option_proforma_serie2;
    public $option_avize_serie2;
    public $option_expfactura_serie2;
    public $option_invoice_serie;

    public function getAuthApiKey()
    {
        return $this->auth_api_key;
    }

    public function getAuthUsername()
    {
        return $this->auth_username;
    }

    public function getAuthPassword()
    {
        return hex2bin($this->auth_password);
    }

    public function getAuthFiscalCode()
    {
        return $this->auth_fiscal_code;
    }

    public function getOptionAutoStockSync()
    {
        return $this->option_auto_stock_sync;
    }

    public function getOptionAutoOrderSync()
    {
        return $this->option_auto_order_sync;
    }

    public function getOptionDocUpd()
    {
        return $this->option_doc_upd;
    }

    public function getOptionPdls()
    {
        return $this->option_pdls;
    }

    public function getOptionShowObs()
    {
        return $this->option_show_obs;
    }

    public function getOptionStockFilter()
    {
        return $this->option_stock_filter;
    }

    public function getOptionOrderOrProforma()
    {
        return $this->option_order_or_proforma;
    }

    public function getOptionProformaSerie()
    {
        return $this->option_proforma_serie;
    }

    public function getOptionAvizeSerie()
    {
        return $this->option_avize_serie;
    }

    public function getOptionExpfacturaSerie()
    {
        return $this->option_expfactura_serie;
    }

    public function getOptionOrderedDaysAgo()
    {
        return $this->option_ordered_days_ago;
    }

    public function getOptionLocations()
    {
        return $this->option_locations;
    }

    public function getOptionProformaSerie2()
    {
        return $this->option_proforma_serie2;
    }

    public function getOptionAvizeSerie2()
    {
        return $this->option_avize_serie2;
    }

    public function getOptionExpfacturaSerie2()
    {
        return $this->option_expfactura_serie2;
    }

    public function getOptionInvoiceSerie()
    {
        return $this->option_invoice_serie;
    }

    public function getCustomFieldBank()
    {
        return $this->custom_field_bank;
    }

    public function getCustomFieldAccount()
    {
        return $this->custom_field_account;
    }

    public function getCustomFieldCompany()
    {
        return $this->custom_field_company;
    }

    public function getCustomFieldFiscalCode()
    {
        return $this->custom_field_fiscal_code;
    }

    public function getCustomFieldRegNumber()
    {
        return $this->custom_field_reg_number;
    }

    public function setAuthApiKey($auth_api_key)
    {
        $this->auth_api_key = $auth_api_key;
    }

    public function setAuthUsername($auth_username)
    {
        $this->auth_username = $auth_username;
    }

    public function setAuthPassword($auth_password)
    {
        $this->auth_password = $auth_password;
    }

    public function setAuthFiscalCode($auth_fiscal_code)
    {
        $this->auth_fiscal_code = $auth_fiscal_code;
    }

    public function setOptionAutoStockSync($option_auto_stock_sync)
    {
        $this->option_auto_stock_sync = $option_auto_stock_sync;
    }

    public function setOptionAutoOrderSync($option_auto_order_sync)
    {
        $this->option_auto_order_sync = $option_auto_order_sync;
    }

    public function setOptionDocUpd($option_doc_upd)
    {
        $this->option_doc_upd = $option_doc_upd;
    }

    public function setOptionPdls($option_pdls)
    {
        $this->option_pdls = $option_pdls;
    }

    public function setOptionShowObs($option_show_obs)
    {
        $this->option_show_obs = $option_show_obs;
    }

    public function setOptionStockFilter($option_stock_filter)
    {
        $this->option_stock_filter = $option_stock_filter;
    }

    public function setOptionOrderOrProforma($option_order_or_proforma)
    {
        $this->option_order_or_proforma = $option_order_or_proforma;
    }

    public function setOptionProformaSerie($option_proforma_serie)
    {
        $this->option_proforma_serie = $option_proforma_serie;
    }

    public function setOptionAvizeSerie($option_avize_serie)
    {
        $this->option_avize_serie = $option_avize_serie;
    }

    public function setOptionExpfacturaSerie($option_expfactura_serie)
    {
        $this->option_expfactura_serie = $option_expfactura_serie;
    }

    public function setOptionProformaSerie2($option_proforma_serie2)
    {
        $this->option_proforma_serie2 = $option_proforma_serie2;
    }

    public function setOptionAvizeSerie2($option_avize_serie2)
    {
        $this->option_avize_serie2 = $option_avize_serie2;
    }

    public function setOptionExpfacturaSerie2($option_expfactura_serie2)
    {
        $this->option_expfactura_serie2 = $option_expfactura_serie2;
    }

    public function setOptionInvoiceSerie($option_invoice_serie)
    {
        $this->option_invoice_serie = $option_invoice_serie;
    }

    public function setOptionOrderedDaysAgo($option_ordered_days_ago)
    {
        $this->option_ordered_days_ago = $option_ordered_days_ago;
    }

    public function setOptionLocations($option_locations)
    {
        $this->option_locations = $option_locations;
    }

    public function setCustomFieldBank($custom_field_bank)
    {
        $this->custom_field_bank = $custom_field_bank;
    }

    public function setCustomFieldAccount($custom_field_account)
    {
        $this->custom_field_account = $custom_field_account;
    }

    public function setCustomFieldCompany($custom_field_company)
    {
        $this->custom_field_company = $custom_field_company;
    }

    public function setCustomFieldFiscalCode($custom_field_fiscal_code)
    {
        $this->custom_field_fiscal_code = $custom_field_fiscal_code;
    }

    public function setCustomFieldRegNumber($custom_field_reg_number)
    {
        $this->custom_field_reg_number = $custom_field_reg_number;
    }

    public function getAutoSyncOptions()
    {
        return $this->auto_sync_options;
    }

    public function getDocUpdOptions()
    {
        return $this->doc_upd_options;
    }

    public function getShowObsOptions()
    {
        return $this->show_obs_options;
    }

    public function setAutoSyncOptions($auto_sync_options)
    {
        $this->auto_sync_options = $auto_sync_options;
    }

    public function setDocUpdOptions($doc_upd_options)
    {
        $this->doc_upd_options = $doc_upd_options;
    }

    public function setShowObsOptions($show_obs_options)
    {
        $this->show_obs_options = $show_obs_options;
    }

    public function getOrderOrProformaOptions()
    {
        return $this->order_or_proforma_options;
    }

    public function setOrderOrProformaOptions($order_or_proforma_options)
    {
        $this->order_or_proforma_options = $order_or_proforma_options;
    }

    public function getSyncDataTypes()
    {
        return $this->sync_data_types;
    }

    public function setSyncDataTypes($sync_data_types)
    {
        $this->sync_data_types = $sync_data_types;
    }

    public function getSyncStockFilterOptions()
    {
        return $this->sync_stock_filter_options;
    }

    public function setSyncStockFilterOptions($sync_stock_filter_options)
    {
        $this->sync_stock_filter_options = $sync_stock_filter_options;
    }

    public function getOptionAddProforma()
    {
        return $this->option_add_proforma;
    }

    public function setOptionAddProforma($option_add_proforma)
    {
        $this->option_add_proforma = $option_add_proforma;
    }

    public function getOptionAddAvize()
    {
        return $this->option_add_avize;
    }

    public function setOptionAddAvize($option_add_avize)
    {
        $this->option_add_avize = $option_add_avize;
    }

    public function getOptionAddExpfactura()
    {
        return $this->option_add_expfactura;
    }

    public function setOptionAddExpfactura($option_add_expfactura)
    {
        $this->option_add_expfactura = $option_add_expfactura;
    }

    public function getOptionAddInvoice()
    {
        return $this->option_add_invoice;
    }

    public function setOptionAddInvoice($option_add_invoice)
    {
        $this->option_add_invoice = $option_add_invoice;
    }

    public function getOptionViewProforma()
    {
        return $this->option_view_proforma;
    }

    public function getOptionViewAvize()
    {
        return $this->option_view_avize;
    }

    public function getOptionViewExpfactura()
    {
        return $this->option_view_expfactura;
    }

    public function setOptionViewProforma($option_view_proforma)
    {
        $this->option_view_proforma = $option_view_proforma;
    }

    public function setOptionViewAvize($option_view_avize)
    {
        $this->option_view_avize = $option_view_avize;
    }

    public function setOptionViewExpfactura($option_view_expfactura)
    {
        $this->option_view_expfactura = $option_view_expfactura;
    }

    public function getOptionViewInvoice()
    {
        return $this->option_view_invoice;
    }

    public function setOptionViewInvoice($option_view_invoice)
    {
        $this->option_view_invoice = $option_view_invoice;
    }

    public function getOptionEditProforma()
    {
        return $this->option_edit_proforma;
    }

    public function setOptionEditProforma($option_edit_proforma)
    {
        $this->option_edit_proforma = $option_edit_proforma;
    }

    public function getOptionEditAvize()
    {
        return $this->option_edit_avize;
    }

    public function setOptionEditAvize($option_edit_avize)
    {
        $this->option_edit_avize = $option_edit_avize;
    }

    public function getOptionEditExpfactura()
    {
        return $this->option_edit_expfactura;
    }

    public function setOptionEditExpfactura($option_edit_expfactura)
    {
        $this->option_edit_expfactura = $option_edit_expfactura;
    }

    public function getOptionEditInvoice()
    {
        return $this->option_edit_invoice;
    }

    public function setOptionEditInvoice($option_edit_invoice)
    {
        $this->option_edit_invoice = $option_edit_invoice;
    }

	public function getOptionWithDiscount()
    {
        return $this->option_with_discount;
    }

    public function setOptionWithDiscount($option_with_discount)
    {
        $this->option_with_discount = $option_with_discount;
    }

}

   
    

