<?php 

namespace Core\App\Service;

class ProductService {

    protected $marketplaceProductRepository;
    protected $facturisProductRepository;

    public function __construct(
        \Core\App\Repository\Marketplace\ProductInterface $marketplaceProductRepository,
        \Core\App\Repository\Facturis\ProductInterface $facturisProductRepository) 
    {
        $this->marketplaceProductRepository = $marketplaceProductRepository;
        $this->facturisProductRepository = $facturisProductRepository;
    }

    public function sync() {

        $marketplaceProducts =  $this->marketplaceProductRepository->getAll();
        if(!empty($marketplaceProducts))
        {
            foreach($marketplaceProducts as $marketplaceProduct)
            {
                $this->facturisProductRepository->add($marketplaceProduct);
            }
        }
    }

    
}